commit 4083085d018b7b470620f4dc82372645060cbade
Author: freddy77 <freddy77>
Date:   Tue Aug 26 14:14:33 2008 +0000

    applied Andrew Victor patch for unused gmtime result

diff --git a/ChangeLog b/ChangeLog
index 6c1744f..fd2804d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Tue Aug 26 16:11:05 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/cs.c:
+	- applied Andrew Victor patch for unused gmtime result
+
 Fri Aug 22 07:25:58 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/query.c:
 	- applied modified patch from Chris Reeves for fix
@@ -579,4 +583,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2592 2008/08/22 05:27:21 freddy77 Exp $
+$Id: ChangeLog,v 1.2593 2008/08/26 14:14:33 freddy77 Exp $
diff --git a/src/ctlib/cs.c b/src/ctlib/cs.c
index 036aab2..a759a52 100644
--- a/src/ctlib/cs.c
+++ b/src/ctlib/cs.c
@@ -50,7 +50,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: cs.c,v 1.66 2008/07/05 22:57:54 jklowden Exp $");
+TDS_RCSID(var, "$Id: cs.c,v 1.67 2008/08/26 14:14:33 freddy77 Exp $");
 
 static int _cs_datatype_length(int dtype);
 static CS_INT cs_diag_storemsg(CS_CONTEXT *context, CS_CLIENTMSG *message);
@@ -847,11 +847,9 @@ cs_convert(CS_CONTEXT * ctx, CS_DATAFMT * srcfmt, CS_VOID * srcdata, CS_DATAFMT
 CS_RETCODE
 cs_dt_crack(CS_CONTEXT * ctx, CS_INT datetype, CS_VOID * dateval, CS_DATEREC * daterec)
 {
-TDS_DATETIME *dt;
-TDS_DATETIME4 *dt4;
-time_t tmp_secs_from_epoch;
-struct tm *t;
-TDSDATEREC dr;
+	TDS_DATETIME *dt;
+	TDS_DATETIME4 *dt4;
+	TDSDATEREC dr;
 
 	if (datetype == CS_DATETIME_TYPE) {
 		dt = (TDS_DATETIME *) dateval;
@@ -862,7 +860,6 @@ TDSDATEREC dr;
 	} else {
 		return CS_FAIL;
 	}
-	t = (struct tm *) gmtime(&tmp_secs_from_epoch);
 	daterec->dateyear = dr.year;
 	daterec->datemonth = dr.month;
 	daterec->datedmonth = dr.day;

